//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"

#property indicator_chart_window
//---- input parameters
extern int       DAYS=5;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicators

//---- indicators

   

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high2[20];
   double daily_low2[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(daily_high2,DAYS);
ArrayResize(daily_low2,DAYS);
ArrayInitialize(daily_high2,0);
ArrayInitialize(daily_low2,0);

ArrayCopySeries(daily_low2, MODE_LOW, Symbol(), PERIOD_MN1);
ArrayCopySeries(daily_high2, MODE_HIGH, Symbol(), PERIOD_MN1);

/* initialise */
plow=daily_low2[1];
phigh=daily_high2[1];

for(i=1;i<DAYS;i++)
{
   if(plow>daily_low2[i])
   {
      plow =daily_low2[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<daily_high2[i])
   {
      phigh =daily_high2[i];
   }
}

Comment("\n5dayH ",phigh,"\n5dayL ",plow);

ObjectDelete("5dayHigh2");
ObjectDelete("5dayLow2");

ObjectCreate("5dayHigh2", OBJ_HLINE,0, CurTime(),phigh);
ObjectSet("5dayHigh2",OBJPROP_COLOR,Red);
ObjectSet("5dayHigh2",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("5dayLow2", OBJ_HLINE,0, CurTime(),plow);
ObjectSet("5dayLow2",OBJPROP_COLOR,Red);
ObjectSet("5dayLow2",OBJPROP_STYLE,STYLE_SOLID);

ObjectsRedraw();

   return(0);
  }
//+---------------------------------------------------------------